Bug 998703 - WebGL: incorrect draw of round splats
WebGL: incorrect draw of round splats
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 16:03 EDT by JannikV
Modified: 2015-02-17 11:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:50:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a screenshot of potree, demonstrating the problem (393.42 KB, image/png)
2013-08-19 16:03 EDT, JannikV
no flags Details
correct draw as a comparison (499.57 KB, image/png)
2013-08-19 16:05 EDT, JannikV
no flags Details

  None (edit)
Description JannikV 2013-08-19 16:03:38 EDT
Created attachment 788192 [details]
a screenshot of potree, demonstrating the problem

Description of problem:
While viewing a WebGL Model which is drawn as a point-cloud, the splats are not round, even if the fragment shader tries to discard all pixels outside the incircle.

Version-Release number of selected component (if applicable):
todays Firefox Aurora build (and earlier) on Firefox 19

Steps to Reproduce:
1. open a point-cloud WebGL application which tries to draw round splats, like http://potree.org/demo/lion/lion_takanawa.html
2. zoom in and set the point-size to a lower value, like 0.2
3. choose "Weighted Points" in the drop down list

Actual results:
the splats look like a quarter of a circle or a triangle

Expected results:
the splats should be round

Additional info:

This bug is not limited to Firefox. Chrome shows the same behaviour. And it is _not_ reproducible on Debian or Windows. That's the reason why I fill the bug here, and not in bugzilla.mozilla. I've chosen firefox as component, because I don't know which part of Fedora is responsible for WebGL / OpenGL related operations. Maybe someone can concretize this.

Notice the difference between "Weighted Points" and "Filtered Points" in the potree demo.

I have a similar application which suffers from this bug. The fragment shader looks like this:
float dist = distance(gl_PointCoord, vec2(0.5, 0.5));
    if(dist >= 0.5) {
        discard;
}

I attached screenshots of the potree demo, showing the issue, in case you can't reproduce it.
Comment 1 JannikV 2013-08-19 16:05:55 EDT
Created attachment 788193 [details]
correct draw as a comparison
Comment 2 Martin Stransky 2013-08-26 07:08:30 EDT
I see. I guess it's related to OpenGL implementation and/or graphics drivers. Which HW/drivers do you run?
Comment 3 JannikV 2013-08-26 10:05:58 EDT
Thanks for looking into..

$ glxinfo | grep 'OpenGL renderer'
OpenGL renderer string: Mesa DRI Intel(R) Ironlake Mobile

Maybe this is also useful:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Device 144a
	Flags: bus master, fast devsel, latency 0, IRQ 43
	Memory at c0000000 (64-bit, non-prefetchable) [size=4M]
	Memory at b0000000 (64-bit, prefetchable) [size=256M]
	I/O ports at 5050 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: i915


Let me know if you need additional info.
Comment 4 Martin Stransky 2013-08-29 07:14:57 EDT
Works as expected for me so it looks like a driver problem. Moving to X.
Comment 5 Fedora End Of Life 2015-01-09 14:31:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 11:50:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.